@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Changa:wght@200;300;400;500;600;700;800&display=swap');

:root {
    --color-primary: #006a8d;
    --color-secondary: #F2574C;
    --color-success: #3EA7A0;
    --text-body: #253238;
    --text-muted: #7D7D7D;
}

body {
    font-family: 'Poppins', 'Changa', sans-serif;
    background-color: #F5F8FC;
    color: var(--text-body);
    overflow-x: hidden;
}


.text-ellipsis {
    text-overflow: ellipsis;
}

.rounded {
    border-radius: 10px !important;
}

.font-family-english {
    font-family: jost, sans-serif !important;
}

.font-family-english::first-letter {
    text-transform: capitalize;
}

body[data-component="btn-menu"] {
    overflow: hidden;
}

.text-muted {
    color: var(--text-muted) !important;
}

.text-body {
    color: var(--text-body) !important;
}

.text-primary {
    color: var(--color-primary) !important;
}

.text-secondary {
    color: var(--color-secondary) !important;
}

.text-success {
    color: var(--color-success);
}

.bg-secondary {
    background-color: var(--color-secondary) !important;
}

.btn-secondary {
    background-color: var(--color-secondary);
    border: 1px solid var(--color-secondary);
}

.btn-secondary:hover,
.btn-secondary:active,
.btn-secondary:focus,
.btn-secondary.disabled,
.btn-secondary:disabled,
.btn-secondary:active:focus {
    background-color: #F35045;
    border-color: #F35045;
    box-shadow: none;
}

.btn-secondary.disabled,
.btn-secondary:disabled {
    opacity: 1;
}

.btn-outline-secondary {
    color: #F35045;
    border-color: #F35045;
}

.btn-outline-secondary:hover,
.btn-outline-secondary:active,
.btn-outline-secondary:focus,
.btn-outline-secondary.disabled,
.btn-outline-secondary:disabled,
.btn-outline-secondary:active:focus {
    background-color: transparent;
    color: var(--color-secondary);
    border-color: var(--color-secondary);
    box-shadow: none;
}

.bg-primary {
    background-color: var(--color-primary) !important;
}

.bg-primary-o-2 {
    background-color: rgba(0, 106, 141, 0.2);
}

a.bg-primary:hover {
    background-color: #016483 !important;
    border-color: #016483 !important;
}

.btn-primary {
    background-color: var(--color-primary);
    border: 1px solid var(--color-primary);
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus,
.btn-primary.disabled,
.btn-primary:disabled,
.btn-primary:active:focus {
    background-color: #016483;
    border-color: #016483;
    box-shadow: none;
}

.btn-primary.disabled,
.btn-primary:disabled {
    opacity: 1;
}

.btn-outline-primary {
    color: var(--color-primary);
    border-color: var(--color-primary);
}

.btn-outline-primary:hover,
.btn-outline-primary:active,
.btn-outline-primary:focus,
.btn-outline-primary.disabled,
.btn-outline-primary:disabled,
.btn-outline-primary:active:focus {
    background-color: transparent;
    color: var(--color-primary);
    border-color: var(--color-primary);
    box-shadow: none;
}

.bg-success {
    background-color: var(--color-success) !important;
}

.animation-primary {
    transition: all 300ms ease-in-out;
    border: 2px solid #ffffff;
}

.animation-primary:hover {
    border-color: var(--color-primary);
    /*box-shadow: 0 0 10px 0 rgba(0, 106, 141, 0.6);*/
}

::placeholder {
    color: #d4d4d4 !important;
}


.breadcrumb .breadcrumb-item {
    font-size: 0.875rem;
}

.breadcrumb.text-white .breadcrumb-item + .breadcrumb-item::before {
    color: #ffffff;
}

.breadcrumb.text-body .breadcrumb-item + .breadcrumb-item::before {
    color: var(--text-body);
}

.btn-close {
    background: rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    justify-content: center;
}

.btn-close:focus {
    box-shadow: none;
}


.dropdown-item.active, .dropdown-item:active {
    background-color: var(--color-primary);
}

.btn {
    border-radius: 10px;
    padding: 12px 20px;
}


.form-group .form-label {
    font-size: 0.875rem;
    font-weight: bold;
}

.form-control:autofill,
.form-control:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px #ffffff inset !important;
}

.form-group .form-control {
    border-radius: 10px;
    border: 1px solid #d4d4d4;
    padding: 14px;
    font-size: 0.875rem;
}

.form-group .form-control:not(textarea) {
    height: 50px;
}


.form-group .form-control:not(:disabled, :read-only ) {
    background-color: #ffffff;
}

.form-group > .form-control:focus:not(:disabled, :read-only ),
.form-check-input:focus:not(:disabled, :read-only ),
.select2-container--open .select2-selection {
    border-color: var(--color-primary) !important;
    box-shadow: 0 0 0 3px rgba(1, 100, 131, 0.15);
}

.form-group > .form-control:disabled,
.form-group > .form-control:read-only {
    box-shadow: none;
}


.form-check-input {
    border-color: #d4d4d4;
}

.form-check-input:not(:checked) {
    background-color: #ffffff;
}

.form-check-input:checked {
    background-color: var(--color-primary);
    border-color: var(--color-primary);
}

.form-check .form-check-label {
    font-size: 0.75rem;
}

.invalid-feedback {
    font-size: 0.75rem;
}

.form-group .form-control.is-invalid,
.form-group .form-control.is-invalid ~ .select2 .select2-selection {
    border-color: #dc3545 !important;
    background-image: none;
    background-size: 0;
}

.form-group > .form-control.is-invalid:focus:not(:disabled, :read-only ),
.form-check-input.is-invalid:focus:not(:disabled, :read-only ),
.form-group .form-control.is-invalid ~ .select2.select2-container--open .select2-selection {
    border-color: #dc3545 !important;
    box-shadow: 0 0 0 3px rgba(220, 53, 69, 0.15);
}

.select2-container .select2-selection--single {
    height: 50px;
    background-color: #ffffff;
    border-color: #d4d4d4;
    border-radius: 10px !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    font-size: 0.875rem;
    line-height: 50px;
}

.select2-container--default[dir="rtl"] .select2-selection--single .select2-selection__arrow {
    left: 14px;
    height: 50px;
}


.select2-container--open .select2-dropdown {
    border: 0;
    padding: 16px 14px;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 0 10px 2px rgba(0, 0, 0, 0.05);
}

.select2-container--open .select2-dropdown--below {
    margin-top: 10px;
}

.select2-container--open .select2-dropdown--above {
    margin-top: -10px;
}

.select2-search--dropdown {
    padding: 0;
    margin-bottom: 10px;
}

.select2-results__options::-webkit-scrollbar {
    width: 0;
}

.select2-container--default .select2-results__option--highlighted.select2-results__option--selectable {
    background-color: var(--color-primary);
}

.select2-results__option {
    border-radius: 10px;
    padding: 10px 12px;
    font-size: 0.875rem;
}

.select2-results__option:not(:last-of-type) {
    margin-bottom: 0;
}

.select2-selection__arrow {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjQiIGhlaWdodD0iMjQiIHZpZXdCb3g9IjAgMCAyNCAyNCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTE2IDEwTDEyIDE0TDggMTAiIHN0cm9rZT0iIzUzNUE4QyIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPgo=");
    background-repeat: no-repeat;
    background-position: center;
    transition: all 200ms ease-in;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border: 0;
}

.select2-container--open .select2-selection__arrow {
    transform: matrix(-1, 0, 0, -1, 0, 0);
}

.select2-container--default .select2-selection--single .select2-selection__placeholder {
    color: #d4d4d4;
}


.select2-container[dir="rtl"] .select2-selection--single .select2-selection__rendered {
    padding-right: 14px;
}


.width-500 {
    max-width: 500px;
    width: 100%;
}

.wrapper {
    display: grid;
    grid-template-rows: auto 1fr auto;
    height: 100%;
}

header {
    position: relative;
}

header nav {
    height: 80px;
    background-color: var(--color-primary);
}

header .logo a > img {
    height: 70px;
}

header .logo a > span {
    font-size: 1.25rem;
    margin: 12px 10px 0 0;
}


header nav .search span {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
}

.material-symbols-rounded::after {
    font-family: 'Material Symbols Rounded';
}

.search .material-symbols-rounded::after {
    content: "\e8b6";
    font-size: 1.5rem;
}

body[data-component='search-box'] .search .material-symbols-rounded::after {
    content: "\e5cd";
}

.btn-menu .material-symbols-rounded::after {
    content: "\e5d2";
    font-size: 1.5rem;
}

body[data-component='btn-menu'] .btn-menu .material-symbols-rounded::after {
    content: "\e5cd";
}

header nav .dropdown-toggle::after {
    font-family: 'Material Symbols Rounded';
    border: 0 !important;
    content: "\e313";
    font-size: 1.25rem;
}


.navbar-nav .dropdown-menu[data-bs-popper] {
    left: 0;
    right: unset;
}


.search-box {
    display: none;
    background-color: #ffffff;
}

body[data-component='search-box'] .search-box {
    display: block;
}

.search-box input {
    width: 100%;
    border: 0;
    height: 60px;
    outline: none;
}

.search-box button {
    padding: 6px 18px;
    font-size: 0.875rem;
    border-radius: 3px;
}


.lesson .lesson-image::before {
    position: absolute;
    top: 0;
    left: -75%;
    z-index: 2;
    display: block;
    content: "";
    width: 50%;
    height: 100%;
    background-image: -webkit-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, .3) 100%);
    background-image: -ms-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, .3) 100%);
    background-image: -o-linear-gradient(left, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, .3) 100%);
    background-image: linear-gradient(to right, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, .3) 100%);
    -webkit-transform: skewX(-25deg);
    -ms-transform: skewX(-25deg);
    -o-transform: skewX(-25deg);
    transform: skewX(-25deg)
}

.lesson:hover .lesson-image::before {
    -webkit-animation: shine .75s;
    -ms-animation: shine .75s;
    -o-animation: shine .75s;
    animation: shine .75s;
}

@-webkit-keyframes shine {
    100% {
        left: 125%;
    }
}

@keyframes shine {
    100% {
        left: 125%;
    }
}

.other-login a {
    color: var(--text-body);
    padding: 14px 10px;
}

.other-login > span {
    position: relative;
    color: #000000;
    opacity: 0.1;
}

.other-login > span::before,
.other-login > span::after {
    content: "";
    width: 46%;
    height: 1px;
    position: absolute;
    border-bottom: 1px solid #000000;
    top: 50%;
    transform: translateY(-50%);
}

.other-login > span::before {
    right: 0;
}

.other-login > span::after {
    left: 0;
}

.welcome {
    top: 25px;
    border-radius: 20px;
    overflow: hidden;
}


.fa-heart.active::before {
    font-weight: bold;
}

.course-details {
    border-radius: 20px;
    overflow: hidden;
}

.course-details .video {
    position: relative;
    padding-bottom: 55%;
    overflow: hidden;
    max-width: 100%;
    border-radius: 20px;
}

.course-details .video iframe {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
}

.material-details-section .tabs label {
    display: block;
}

.material-details-section .tabs label > span {
    font-weight: bold;
    width: 100%;
    text-align: center;
    padding: 16px 10px;
    background-color: #ffffff;
    cursor: pointer;
    transition: all 200ms ease-in-out;
    display: block;
    font-size: 0.875rem;
}

.material-details-section .tabs label input:checked ~ span {
    background-color: var(--color-primary);
    color: #ffffff;
}


.hero-section {
    min-height: calc(100vh - 80px);;
    background-color: #017199;
    background-image: url("../img/hero.png");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center
}

.hero-section .elmajed-logo {
    max-width: 180px;
}

.hero-section .elmajed-logo img {
    width: 100%;
}

.learn-section .items {
    display: grid;
    grid-template-columns: repeat(3, auto);
    gap: 60px 40px;
    justify-content: space-between;
}


.learn-section .item-icon {
    position: relative;
    background-color: var(--color-primary);
    width: 86px;
    height: 86px;
    border-radius: 10px;
    margin-bottom: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.learn-section .items .item:nth-child(1) .item-icon {
    background-color: #fc824b;
}

.learn-section .items .item:nth-child(2) .item-icon {
    background-color: #55b920;
}

.learn-section .items .item:nth-child(3) .item-icon {
    background-color: #1bc7ec;
}

.learn-section .items .item:nth-child(4) .item-icon {
    background-color: #f44d96;
}

.learn-section .items .item:nth-child(5) .item-icon {
    background-color: #ecc01e;
}


.learn-section .item-icon::before {
    content: attr(data-number);
    width: 40px;
    height: 40px;
    position: absolute;
    top: -30px;
    font-size: 2.5rem;
    font-weight: bold;
    opacity: 0.1;
    color: var(--color-secondary);
    display: flex;
    align-items: center;
    justify-content: center;
}


.statistics-section .item {
    background-color: #ffffff;
    text-align: center;
    border-radius: 10px;
}

.statistics-section .item > img {
    max-width: 200px;
    width: 100%;
}


.statistics-section .item > span {
    font-weight: bold;
    font-size: 2.5rem;
    display: block;
    margin: 20px 0;
}

.statistics-section .item > p {
    font-size: 1.25rem;
}

.partners-section .partner img {
    max-width: 160px;
    max-height: 160px;
    height: 100%;
    width: 100%;
    margin: 0 auto;
    display: block;
    object-fit: contain;
}

.partners-section .partner h4 {
    min-height: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
}


.funder-logo img {
    max-width: 160px;
    width: 100%;
}

.classes-section .item img {
    max-width: 100px;
    max-height: 120px;
    width: 100%;
    height: 100%;
    object-fit: contain;
    transition: all 200ms;
}

.book .book-img {
    height: 240px;
}

.book .book-img .book-download {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
    visibility: hidden;
    transition: all 300ms ease-in-out;

}

.book .book-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: all 300ms ease-in-out;
    overflow: hidden;
    display: block;
}

.book:hover .book-img .book-download {
    opacity: 1;
    visibility: visible;
}


.comments_list .comment {
    border-radius: 10px;
    overflow: hidden;
}


.btn-upload label {
    background-color: #eceded;
    border: 1px solid #eceded;
    border-radius: 10px;
    padding: 8px 20px;
}


#toast-container > div.toast {
    background-image: none !important;
    box-shadow: none !important;
    border-radius: 4px;
    overflow: hidden;
    padding: 10px 16px 10px 28px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: row-reverse;
    opacity: 1;
}

.toast-close-button {
    left: -14px;
    top: 0;
    right: auto;
}

.toast-close-button {
    font-weight: lighter;
    font-size: 1rem;
}


.toast-close-button:focus,
.toast-close-button:hover {
    opacity: 1;
}

@media (max-width: 991.98px) {
    html {
        font-size: 14px;
    }

    header nav {
        height: 70px;
    }

    header .logo a > img {
        height: 64px;
    }

    header .logo a > span {
        font-size: 1.125rem;
        margin: 0 6px 0 0;
    }

    .btn-menu .material-symbols-sharp.icon-close,
    body[data-component="btn-menu"] .btn-menu .material-symbols-sharp.icon-menu {
        display: none;
    }

    body[data-component="btn-menu"] .btn-menu .material-symbols-sharp.icon-close {
        display: block;
    }

    .aside-menu,
    .aside-overlay {
        visibility: hidden;
        opacity: 0;
        top: 70px;
        bottom: 0;
        position: fixed;
        width: 100%;
        height: 100%;
    }

    .aside-menu {
        background-color: #ffffff;
        right: -100%;
        padding: 10px 0;
        transition: all 300ms ease-in-out;
        transition-delay: 100ms;
        z-index: 2;
    }

    .aside-overlay {
        background-color: rgba(0, 0, 0, 0.4);
        left: 0;
        right: 0;
        transition: width 300ms ease-in-out;
    }

    body[data-component="btn-menu"] .aside-menu,
    body[data-component="btn-menu"] .aside-overlay {
        visibility: visible;
        opacity: 1;
    }

    body[data-component="btn-menu"] .aside-overlay {
        width: 100%;
    }

    body[data-component="btn-menu"] .aside-menu {
        right: 0;
    }

    .aside-menu ul li a {
        padding: 10px;
        display: block;
        color: #253238;
    }

    .hero-section {
        min-height: auto;
    }
}

@media (max-width: 575.98px) {
    html {
        font-size: 13px;
    }

    header .logo a > span {
        display: none;
    }

    .hero-section .elmajed-logo {
        max-width: 140px;
    }

    .learn-section .items {
        grid-template-columns: repeat(2, 1fr);
    }

    .statistics-section .item > span {
        margin: 10px 0;
    }
}

.loader {
    display: none;
}

.loader.is-loading {
    display: block;
}
